Subject: [AAA-WG]: Issue 373 - closed

From: <[email-masked]>
Date: Thu, 17 Oct 2002 09:04:58 +0300

Hi all,

I have made the changes as outlined below.

John

Issue 373: Some NITs in -14
Submitter name: Allison Mankin
Submitter email address: [email-masked]
Date first submitted: 11/15/2002
Document: draft-ietf-aaa-diameter-14.txt
Comment type: T
Priority: S 
Section: 1.2, 2.1
Rationale/Explanation of issue: 

I found these bits, little fixes, that could get tucked into -15. 

1.2 

The Diameter protocol is designed to be extensible, using several
mechanisms, including:

- Defining new AVP values.
- Creating new AVPs
- Creating new authentication/authorization applications
- Creating new accounting applications
- Application authentication procedures

Reuse of existing AVP values, AVPs, applications and command codes
are strongly recommended. Reuse simplifies standardization and
implementation and avoids potential interoperability issues.

### It should no longer say "and command codes" in this context
### because command codes aren't part of the extensibility framework...
### I think the words are hangovers from the past.

[John Loughney]  I'd propose stating something like this:

"Reuse of existing AVP values, AVPs, applications are strongly 
recommended. Reuse simplifies standardization and
implementation and avoids potential interoperability issues.
It is expected that command codes are reused; new command 
codes can only be created by IETF Consensus (see section 11.2.1)."

-------
Section 2.1 should normatively ref AAATRANS, as 5.1 does.
-------

To save you some round trips:

Diameter nodes MUST be able to negotiate the following TLS cipher
suites:

TLS_RSA_WITH_RC4_128_MD5
TLS_RSA_WITH_RC4_128_SHA
TLS_RSA_WITH_3DES_EDE_CBC_SHA

Diameter nodes MAY negotiate other TLS cipher suites.

The SEC ADs now require AES in place of 3DES. TLS actually
has a finished RFC for AES, rfc3268.txt, so substitute;

TLS_RSA_WITH_AES_128_CBC_SHA or 256? 

All 3DES refs have been pretty much been swapped out of TSV specs, even 
though none of the specs but TLS are done ;}

[John Loughney] So I will add:

"Diameter nodes SHOULD be able to negotiate the following TLS cipher suite:

TLS_RSA_WITH_AES_128_CBC_SHA "